The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Create the vIPS Cluster

Prev Next

This URL creates the vIPS cluster.

Resource URL

POST /cloud/<domain_id>/cluster

Request Parameters

URL Parameters

Field Name

Description

Data Type

Mandatory

Domain_Id

Domain id

Number

Yes

Payload Parameters

Field Name

Description

Data Type

Mandatory

name

Cluster name

String

Yes

description

Cluster description

String

No

cloudConnector

Controller name

String

Yes

subscription

Subscription id for Azure controllers

String

No

sharedSecret

Shared secret between the Manager and Cluster

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned:

Field Name

Description

Data Type

createdResourceId

Created resource id

Number

Example

Request

POST https://<NSM_IP>/sdkapi/cloud/0/cluster

Payload

{
                "name": "Cloud_Cluster",
                "description": "api updated",
                "cloudConnector": "Cloud_Controller",	
																"subscription": "subscription id",							
							         "sharedSecret": "secret"
         }

Response

{
" createdResourceId ": 101
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error message: internal server error

2

400

1105

Invalid domain

3

400

11001

Cluster name is required

4

400

11001

Cluster name can have alphanumeric characters and [ _, -, . ] special characters